<script src="./Script.js"></script>

<template>
  <div>
    <div
      data-backdrop="static"
      data-keyboard="false"
      class="s--modal nt-modal-center modal fade"
      id="addMultipleChargeUser"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header nt-background-header-gradient">
            <h3 class="modal-title nt-title-modal">
              <i class="icon icon-add-user"></i>&nbsp; Gán người phụ trách
            </h3>
            <button
              @click.prevent="cancelUpdate()"
              type="button"
              class="close nt-title-icon-modal"
              data-dismiss="modal"
              aria-label="Close"
            >
              <span aria-hidden="true">
                <i class="la la-times"></i>
              </span>
            </button>
          </div>

          <div class="modal-body" style="overflow: inherit;">
            <h3 style="margin-bottom:20px; font-size:20px;" class="nt-color-primary">
              với
              <template
                v-if="customer_checked.length > 0"
              >{{ customer_checked.length + ' khách hàng đã chọn' }}</template>
              <template v-else>{{ pagination.total_item + ' khách hàng' }}</template>
            </h3>
            <form
              class="m-form m-form--state"
              :class="{ 'has-danger': errors.has('updateAssigner.usersSelected') }"
            >
              <div class="form-group m-form__group">
                <label
                  for="charge-users-customer"
                  class="form-control-label nt-label"
                >Người phụ trách</label>
              </div>
              <v-select
                placeholder="-- Lựa chọn --"
                v-model="usersSelected"
                id="usersSelected"
                name="usersSelected"
                index="id"
                :options="listUsers"
                :label="'full_name'"
                data-vv-scope="updateAssigner"
                v-validate="{ required:true }"
                multiple
              >
                <span slot="no-options">Không tìm thấy</span>
                <template slot="option" slot-scope="option">
                  <b>{{ option.full_name | truncateWords }}</b>
                  <br />
                  {{ option.email | truncateWords }}
                </template>
              </v-select>

              <div
                class="form-control-feedback m--font-danger"
                v-if="errors.has('updateAssigner.usersSelected')"
              >{{ errors.first('updateAssigner.usersSelected') }}</div>
            </form>
          </div>

          <div class="modal-footer nt-background-footer justify-content-end">
            <button
              @click.prevent="cancelUpdate()"
              type="button"
              class="nt-button nt-button-secondary nt-button-modal"
              data-dismiss="modal"
            >Hủy bỏ</button>
            <button
              :disabled="isLoader || errors.any()"
              :class="{ 'nt-button-disabled': isLoader || errors.any()}"
              @click.prevent="updateAssigner('updateAssigner')"
              type="submit"
              class="nt-button nt-button-warning nt-button-modal mr-0"
            >Lưu lại</button>
          </div>
        </div>
      </div>
    </div>

    <div
      class="modal s--modal fade nt--modal-confirm-choice"
      data-backdrop="static"
      data-keyboard="false"
      id="messageAddMultipleChargeUserSuccess"
    >
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-body">
            <!--<h3 class="nt&#45;&#45;modal-confirm-choice-title">-->
            <!--Thông báo-->
            <!--</h3>-->
            <div class="nt--modal-confirm-choice-content">
              <div
                class="nt--modal-confirm-choice-content-title-top"
              >Gán người phụ trách cho {{ totalSuccess }} khách hàng thành công.</div>
            </div>
          </div>

          <div class="modal-footer">
            <button
              type="button"
              class="nt-button nt-button-warning nt-button-modal"
              data-dismiss="modal"
            >Đóng</button>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
